Package org.apache.solr.common.util

## Class ValidatingJsonMap

- java.lang.Object
- - org.apache.solr.common.util.ValidatingJsonMap

All Implemented Interfaces:
  `Map<String,​Object>`, `NavigableObject`

    public class ValidatingJsonMap
    extends Object
    implements Map<String,​Object>, NavigableObject

### Nested Class Summary

Nested Classes
`static interface` `ValidatingJsonMap.PredicateWithErrMsg<T>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,​V extends Object>`

### Field Summary

Fields
`static ValidatingJsonMap` `EMPTY`
`static ValidatingJsonMap.PredicateWithErrMsg<Pair>` `ENUM_OF`
`static ValidatingJsonMap.PredicateWithErrMsg<Object>` `NOT_NULL`

### Constructor Summary

Constructors
`ValidatingJsonMap()`
`ValidatingJsonMap​(int i)`
`ValidatingJsonMap​(Map<String,​Object> delegate)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `clear()`
`boolean` `containsKey​(Object key)`
`boolean` `containsValue​(Object value)`
`Set<Map.Entry<String,​Object>>` `entrySet()`
`boolean` `equals​(Object that)`
`static ValidatingJsonMap` `fromJSON​(InputStream is, String includeLocation)`
`static ValidatingJsonMap` `fromJSON​(Reader s, String includeLocation)`
`Object` `get​(Object key)`
`Object` `get​(String k, Object def)`
`Object` `get​(String key, ValidatingJsonMap.PredicateWithErrMsg predicate)`
`Object` `get​(String key, ValidatingJsonMap.PredicateWithErrMsg<Pair> predicate, Object arg)`
`Boolean` `getBool​(String key, Boolean def)`
`static Collection` `getDeepCopy​(Collection c, int maxDepth, boolean mutable)`
`static ValidatingJsonMap` `getDeepCopy​(Map map, int maxDepth, boolean mutable)`
`Integer` `getInt​(String key, Integer def)`
`List` `getList​(String key, ValidatingJsonMap.PredicateWithErrMsg predicate)`
`List` `getList​(String key, ValidatingJsonMap.PredicateWithErrMsg predicate, Object test)`
`ValidatingJsonMap` `getMap​(String key)`
`ValidatingJsonMap` `getMap​(String key, ValidatingJsonMap.PredicateWithErrMsg predicate)`
`ValidatingJsonMap` `getMap​(String key, ValidatingJsonMap.PredicateWithErrMsg predicate, String message)`
`int` `hashCode()`
`boolean` `isEmpty()`
`Set<String>` `keySet()`
`static ValidatingJsonMap` `parse​(String resourceName, String includeLocation)`
`Object` `put​(String key, Object value)`
`void` `putAll​(Map<? extends String,​?> m)`
`Object` `remove​(Object key)`
`int` `size()`
`Collection<Object>` `values()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Field Detail

#### NOT_NULL

    public static final ValidatingJsonMap.PredicateWithErrMsg<Object> NOT_NULL

#### ENUM_OF

    public static final ValidatingJsonMap.PredicateWithErrMsg<Pair> ENUM_OF

#### EMPTY

    public static final ValidatingJsonMap EMPTY

### Constructor Detail

#### ValidatingJsonMap

    public ValidatingJsonMap​(Map<String,​Object> delegate)

#### ValidatingJsonMap

    public ValidatingJsonMap​(int i)

#### ValidatingJsonMap

    public ValidatingJsonMap()

### Method Detail

#### size

    public int size()

Specified by:
  `size` in interface `Map<String,​Object>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map<String,​Object>`

#### containsKey

    public boolean containsKey​(Object key)

Specified by:
  `containsKey` in interface `Map<String,​Object>`

#### containsValue

    public boolean containsValue​(Object value)

Specified by:
  `containsValue` in interface `Map<String,​Object>`

#### get

    public Object get​(Object key)

Specified by:
  `get` in interface `Map<String,​Object>`

#### put

    public Object put​(String key,
                      Object value)

Specified by:
  `put` in interface `Map<String,​Object>`

#### remove

    public Object remove​(Object key)

Specified by:
  `remove` in interface `Map<String,​Object>`

#### putAll

    public void putAll​(Map<? extends String,​?> m)

Specified by:
  `putAll` in interface `Map<String,​Object>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `Map<String,​Object>`

#### keySet

    public Set<String> keySet()

Specified by:
  `keySet` in interface `Map<String,​Object>`

#### values

    public Collection<Object> values()

Specified by:
  `values` in interface `Map<String,​Object>`

#### entrySet

    public Set<Map.Entry<String,​Object>> entrySet()

Specified by:
  `entrySet` in interface `Map<String,​Object>`

#### get

    public Object get​(String key,
                      ValidatingJsonMap.PredicateWithErrMsg predicate)

#### getBool

    public Boolean getBool​(String key,
                           Boolean def)

#### getInt

    public Integer getInt​(String key,
                          Integer def)

#### getMap

    public ValidatingJsonMap getMap​(String key)

#### getMap

    public ValidatingJsonMap getMap​(String key,
                                    ValidatingJsonMap.PredicateWithErrMsg predicate)

#### getMap

    public ValidatingJsonMap getMap​(String key,
                                    ValidatingJsonMap.PredicateWithErrMsg predicate,
                                    String message)

#### getList

    public List getList​(String key,
                        ValidatingJsonMap.PredicateWithErrMsg predicate)

#### getList

    public List getList​(String key,
                        ValidatingJsonMap.PredicateWithErrMsg predicate,
                        Object test)

#### get

    public Object get​(String key,
                      ValidatingJsonMap.PredicateWithErrMsg<Pair> predicate,
                      Object arg)

#### get

    public Object get​(String k,
                      Object def)

#### fromJSON

    public static ValidatingJsonMap fromJSON​(InputStream is,
                                             String includeLocation)

#### fromJSON

    public static ValidatingJsonMap fromJSON​(Reader s,
                                             String includeLocation)

#### getDeepCopy

    public static ValidatingJsonMap getDeepCopy​(Map map,
                                                int maxDepth,
                                                boolean mutable)

#### getDeepCopy

    public static Collection getDeepCopy​(Collection c,
                                         int maxDepth,
                                         boolean mutable)

#### parse

    public static ValidatingJsonMap parse​(String resourceName,
                                          String includeLocation)

#### equals

    public boolean equals​(Object that)

Specified by:
  `equals` in interface `Map<String,​Object>`
Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `Map<String,​Object>`
Overrides:
  `hashCode` in class `Object`